diff --git a/autocompile.sh b/autocompile.sh
index bb968707ba0e805404cd21f6a8e62ffa31f1a8d3..f794e44bbfb46adbfe34e9595aa8763036ffb16a 100755
--- a/autocompile.sh
+++ b/autocompile.sh
@@ -18,8 +18,8 @@ fi
 if [ $1 = tree ]; then
 	[ -e ../config ] || ( echo "You don't have a local config repo" && exit 1 )
 	git status
-	git subtree -P config pull ../config master
-	git subtree -P config push ../config master
+	git subtree -P config pull ../config master || exit 1
+	git subtree -P config push ../config master || exit 1
 fi
 pdflatex -shell-escape main.tex
 makeglossaries main
diff --git a/preamble.tex b/preamble.tex
index de67979226c0684521ee51c310d3c0464eaa5b2f..582369e64d64a72354423f901788d56b7f0451c8 100644
--- a/preamble.tex
+++ b/preamble.tex
@@ -44,6 +44,12 @@ interior code={ \path[tcb fill interior] ([xshift=-2mm]interior.west)
 }
 }
 
+\usepackage[
+pdfstartpage=2,
+bookmarks=true]%
+{hyperref}
+
+
 %%%%%%%%%% Section Headers %%%%%%%%%%
 
 %%% Allow quotes under part headers